#
# git clone https://github.com/wxFormBuilder/ticpp.git
# cd ticpp
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git archive --format=tar.gz -o ../ticpp-20190109.tar.gz --prefix=ticpp-${DATE}/ master
#

%global gdate	20190109
%global rel	1

%define major	0
%define libname	%mklibname ticpp %{major}
%define devname	%mklibname ticpp -d

Name:		ticpp
Summary:	Completely new interface to TinyXML
Version:	0
Release:	%mkrel %{?gdate:0.git%gdate.}%{rel}
License:	MIT
Group:		Development/Other
Url:		https://github.com/wxFormBuilder/ticpp
Source0:	ticpp-%{gdate}.tar.gz
Patch1:		ticpp-soversion.patch
Patch2:		ticpp-lib-install.patch
Patch3:		ticpp-headers-install.patch
Patch4:		ticpp-C++17.patch
BuildRequires:	cmake

%description
TiCPP is short for the official name TinyXML++. It is a completely new
interface to TinyXML that uses MANY of the C++ strengths. Templates,
exceptions, and much better error handling.

%package -n %{libname}
Summary:	Completely new interface to TinyXML
Group:		System/Libraries

%description -n %{libname}
TiCPP is short for the official name TinyXML++. It is a completely new
interface to TinyXML that uses MANY of the C++ strengths. Templates,
exceptions, and much better error handling.

%package -n %{devname}
Summary:        Development libraries and header files for TiCPP
Group:          Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
TiCPP is short for the official name TinyXML++. It is a completely new
interface to TinyXML that uses MANY of the C++ strengths. Templates,
exceptions, and much better error handling.

%prep
%autosetup -p1 -n ticpp-%{gdate}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libticpp.so.%{major}

%files -n %{devname}
%{_includedir}/ticpp/
%{_libdir}/libticpp.so


%changelog
* Sun Jan 03 2021 wally <wally> 0-0.git20190109.1.mga8
+ Revision: 1668417
- imported package ticpp

